;; Copyright 2007, 2009, 2010 Kevin Ryde.

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.


(progn
  (add-to-list 'load-path (expand-file-name ".."))
  (require 'ffap)
  (require 'ffap-include-start)
  (require 'ffap-makefile-vars))

(progn
  (add-to-list 'load-path (expand-file-name ".."))
  (require 'ffap)
  (require 'ffap-makefile-vars)
  (require 'ffap-include-start))

(ffap-string-at-point 'file)
(setenv "D_FFAP_INCLUDE_START_DIR" "/tmp")

#include <math.h>
include $(HOME)/lisp/align-let.el
include $(D_FFAP_INCLUDE_START_DIR)


;;-----------------

(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-byte-compile))

;;-----------------

(progn
  ;;   (setq generated-autoload-file "/tmp/ffap-include-start-autoloads.el")
  ;;   ;;(if (file-exists-p generated-autoload-file)
  ;;    ;;   (delete-file generated-autoload-file))
  ;;   (write-region (point-min) (point-min) generated-autoload-file)
  ;;   (find-file generated-autoload-file)
  (require 'autoload)
  (switch-to-buffer "x")
  (generate-file-autoloads "../ffap-include-start.el"))


(setq debug-on-quit t)
ffap-next


fsdjkl

#include <malloc.h>

fjsdkl

/usr/include/malloc.h


;;-----------------------------------------------------------------------------
;; unused

(defun ffap-include-start-at-point ()
"An internal part of `ffap-include-start'.
Return the filename part of a #include etc at point, or nil if
there's no include at point.

`ffap-string-at-point' is set the the filename string and
`ffap-string-at-point-region' to the buffer region."

)
